var inizio="INIZIO<br>SVILUPPO<br>CONCLUSIONE";
var sequenze="- SEQUENZE -<br>PARTI DEL TESTO CHE POSSONO ESSERE:";
var fabula="- FABULA - <br>FATTI IN ORDINE CRONOLOGICO";
var intreccio="- INTRECCIO -<br>ORDINE SCELTO DALL' AUTORE";
var flashback="- FLASHBACK -<br>L'ORDINE DEGLI AVVENIMENTI VIENE INTERROTTO PER LASCIAR SPAZIO ALLA RIEVOCAZIONE DI EPISODI PRECEDENTI<br>";
var narrative="- NARRATIVE -<br> RACCONTANO I FATTI";
var descrittive="- DESCRITTIVE -<br> CONTENGONO DESCRIZIONI";
var dialogiche="- DIALOGICHE -<br> CONTENGONO DIALOGHI";
var riflessive="- RIFLESSIVE -<br> CONTENGONO RIFLESSIONI O PENSIERI";
var protagonisti="- PROTAGONISTI<br>- SECONDARI<br>- COMPARSE";
var way="- FABULA<br>- INTRECCIO<br>- FLASHBACK";
var panels =
[	["testo","IL TESTO NARRATIVO","border:1px dashed gray;background:#cdcdcd;grid-column:5/span 2;","fond","audio/testo.mp3"],
	["articola","SI ARTICOLA IN","border:1px dashed gray;background:#000080;grid-column:2/span 2;color:white;font-weigth:bold","fond","audio/articola.mp3"],
	["inizio",inizio,"border:1px dashed gray;background:#ccccff;","fond","audio/inizio.mp3"],
	["fabula",fabula,"border:1px dashed gray;background:#ccccff;grid-row:4;grid-column:2","fond","audio/fabula.mp3"],
	["intreccio",intreccio,"border:1px dashed gray;background:#ccccff;grid-row:5;grid-column:2","fond","audio/intreccio.mp3"],
	["flashback",flashback,"border:1px dashed gray;background:#ccccff;grid-row:6/span 2;grid-column:2;max-height:200px","fond","audio/flashback.mp3"],
	["sequenze",sequenze,"border:1px dashed gray;background:#cddcff;","fond","audio/sequenze.mp3"],
	["narrative",narrative,"border:1px dashed gray;background:#cddcff;","fond","audio/narrative.mp3"],
	["descrittive",descrittive,"border:1px dashed gray;background:#cddcff;grid-column:3","fond","audio/descrittive.mp3"],
	["dialogiche",dialogiche,"border:1px dashed gray;background:#cddcff;","fond","audio/dialogiche.mp3"],
	["riflessive",riflessive,"border:1px dashed gray;background:#cddcff;grid-column:3","fond","audio/riflessive.mp3"],
	["scopo","HA LO SCOPO DI","border:1px dashed gray;background:#008000;grid-column:5/span 2;color:white;font-weigth:bold","fond","audio/scopo.mp3"],
	["raccontare","RACCONTARE UNA SERIE DI AVVENIMENTI<br>CHE POSSONO ESSERE","border:1px dashed gray;background:#ccffcc;grid-column:5/span 2;","fond","audio/raccontare.mp3"],
	["veri","- VERI -<br> EVENTI REALMENTE ACCADUTI ","border:1px dashed gray;background:#ccffcc;","fond","audio/veri.mp3"],
	["fantastici","- FANTASTICI -<br>MITI LEGGENDE FIABE FANTASCIENZA FANTASY","border:1px dashed gray;background:#ccffcc;grid-column:5/span 2","fond","audio/fantastici.mp3"],
	["realistici","- REALISTICI -<br> EVENTI CHE POTREBBERO ACCADERE ","border:1px dashed gray;background:#ccffcc;","fond","audio/realistici.mp3"],
	["attraverso","ATTRAVERSO","border:1px dashed gray;background:#eeeeee;grid-column:5/span 2;grid-row:5","fond","audio/attraverso.mp3"],
	["personaggi","PERSONAGGI","border:1px dashed gray;background:#ddffdd;grid-column:4","fond","audio/personaggi.mp3"],
	["protagonisti",protagonisti,"border:1px dashed gray;background:#ddffdd;grid-column:4;text-align:left","fond","audio/protagonisti.mp3"],
	["fatti","FATTI","border:1px dashed gray;background:#ddffdd;grid-column:5","fond","audio/fatti.mp3"],
	["way",way,"border:1px dashed gray;background:#ddffdd;grid-column:5;grid-row:7;text-align:left","fond","audio/way.mp3"],
	["luoghi","LUOGHI","border:1px dashed gray;background:#ddffdd;grid-column:6","fond","audio/luoghi.mp3"],
	["reali","- REALI<br>- IMMAGINARI","border:1px dashed gray;background:#ddffdd;grid-column:6;grid-row:7;text-align:left","fond","audio/reali.mp3"],
	["epoca","EPOCA","border:1px dashed gray;background:#ddffdd;grid-column:7","fond","audio/epoca.mp3"],
	["passato","- PASSATO<br>- PRESENTE<br>- FUTURO","border:1px dashed gray;background:#ddffdd;grid-column:7;grid-row:7;text-align:left","fond","audio/passato.mp3"],
	["scritto","È SCRITTO DA UN AUTORE","border:1px dashed gray;background:#800000;grid-column:8/span 2;color:white;font-weigth:bold","fond","audio/scritto.mp3"],
	["prima","IN PRIMA PERSONA","border:1px dashed gray;background:#ffcccc;grid-column:8","fond","audio/prima.mp3"],
	["terza","IN TERZA PERSONA","border:1px dashed gray;background:#ffcccc;grid-column:9","fond","audio/terza.mp3"],
	["narratore","SE IL NARRATORE,<br>COLUI CHE RACCONTA","border:1px dashed gray;background:#ffcccc;grid-column:8/span 2","fond","audio/narratore.mp3"],
	["storia","NELLA STORIA","border:1px dashed gray;background:#eeeeee;grid-column:8/span 2","fond","audio/storia.mp3"],
	["personaggio","È UNO DEI PERSONAGGI","border:1px dashed gray;background:#ffeeee;grid-column:8","fond","audio/personaggio.mp3"],
	["non","NON È UNO DEI PERSONAGGI","border:1px dashed gray;background:#ffeeee;grid-column:9","fond","audio/non.mp3"],
	
	["fond","fond","border:1px dashed gray;background:#008000","fond",""],	
]; 
function displayAudio(audio)
{	let blob="<audio controls autoplay hidden>"+
	"<source src='"+audio+"' type='audio/ogg'>"+
	"<source src='"+audio+"' type='audio/mpeg'>"+	
	"Your browser does not support the audio element.</audio>";
	document.getElementById("sound").innerHTML=blob;	
}
var len = panels.length;	
function cleanButtons()
{	let y=document.getElementById("testo");
	let h=document.getElementById(panels[1][0]);
	for (let b=0;b<len;b++)
	{	document.getElementById(panels[b][0]).style.background="white";
		document.getElementById(panels[b][0]).innerHTML="";
	}
	y.style.background="#dddddd";
	y.style.boxShadow="10px 10px 10px 10px lightgray";
	h.style.border="1px dashed gray";
	document.getElementById("fond").style.display="none";
}	
function showAll()
{	for(let i=0;i<len;i++)
	{	let k = document.getElementById(panels[i][0]);
		k.style=panels[i][2];
		k.innerHTML=panels[i][1];				
	}	
	document.getElementById("fond").style.display="none";	
}
window.onload = function ()
{	for (let g=1;g<len;g++)
	{	let k=document.getElementById(panels[g][0]);
		k.style=panels[g][2];
		k.style.background="#ffffff";
	}
	document.getElementById("fond").style.border="0px solid white";
	document.getElementById("testo").innerHTML=panels[0][1];
	document.getElementById("testo").style=panels[0][2];
	document.addEventListener("mouseover",eventOver);	
	function eventOver(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(panels[i][0]);
			if (k==e.target)
			{	k.style=panels[i][2];
				k.style.borderWidth="0px";
				k.style.boxShadow="10px 10px 10px 10px lightgray";	
				k.innerHTML=panels[i][1];
				document.getElementById(panels[i+1][0]).style=panels[i+1][2];
				document.getElementById("fond").style.display="none";
				displayAudio(panels[i][4]);
			}			
		}		
	}
	document.addEventListener("mouseout",eventOut);	
	function eventOut(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(panels[i][0]);
			if (k==e.target)
			{	k.style=panels[i][2];
				k.style.boxShadow="0px 0px 0px 0px gray";
				document.getElementById(panels[i+1][0]).style.border="1px dashed gray";
			}	
		}		
	}
	return;
}
function showIt(b)
{	if (document.getElementById(b).style.display=="block")
	{	document.getElementById(b).style.display="none";			
	}
	else
	{	document.getElementById(b).style.display="block";
	}	
}
function hideIt(qc)
{   let bibbis=document.getElementsByClassName("bibbi");
    let k=bibbis.length;
    for(let a=0;a<k;a++)
    {	bibbis[a].style.display="none";
    }
}
var dim = false;
function enlargeIt(div)
{	if(dim==true)
	{	document.getElementById(div).style.width="65%";
		document.getElementById(div).style.height="98%";
		dim=false;
	}
	else if(dim==false)
	{	document.getElementById(div).style.width="98%";
		document.getElementById(div).style.height="98%";
		dim=true;
	}		
}
